> ## Documentation Index
> Fetch the complete documentation index at: https://docs.immutable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List mint requests

> Retrieve the status of all mints for a given contract address



## OpenAPI

````yaml https://imx-openapiv3-mr-sandbox.s3.us-east-2.amazonaws.com/openapi.json get /v1/chains/{chain_name}/collections/{contract_address}/nfts/mint-requests
openapi: 3.0.3
info:
  title: Immutable zkEVM API
  version: 1.0.0
  description: Immutable Multi Rollup API
  contact:
    name: Immutable API Support
    email: support@immutable.com
    url: https://support.immutable.com
servers:
  - url: https://api.sandbox.immutable.com
security: []
tags:
  - name: activities
    description: Activities Endpoints
    x-displayName: activities
  - name: chains
    description: Chains Endpoints
    x-displayName: chains
  - name: collections
    description: Collections Endpoints
    x-displayName: collections
  - name: nfts
    description: NFTs Endpoints
    x-displayName: nfts
  - name: nft owners
    description: NFT Owner Endpoints
    x-displayName: nft owners
  - name: metadata
    description: NFT Metadata Endpoints
    x-displayName: metadata
  - name: tokens
    description: ERC20 Token Endpoints
    x-displayName: tokens
  - name: demopage
    description: Temporary HTML endpoint for demo purposes
    x-displayName: demopage
  - name: verification
    x-displayName: verification
  - name: operatorallowlist
    x-displayName: operatorallowlist
  - name: crafting
    x-displayName: crafting
  - name: listings
    description: Listings Endpoints
    x-displayName: listings
  - name: orders
    x-displayName: orders
  - name: passport
    description: Passport operations
    x-displayName: passport
  - name: gamefi
    description: team gamefi
    x-displayName: gamefi
  - name: health
    x-displayName: health
  - name: passport profile
    description: Passport Profile endpoints
    x-displayName: passport profile
  - name: feed-items
    x-displayName: feed-items
  - name: assets
    x-displayName: assets
  - name: guardian
    description: Guardian endpoints
    x-displayName: guardian
  - name: pricing
    description: Pricing Endpoints
    x-displayName: pricing
  - name: metadata-search
    x-displayName: metadata-search
paths:
  /v1/chains/{chain_name}/collections/{contract_address}/nfts/mint-requests:
    get:
      tags:
        - nfts
      summary: List mint requests
      description: Retrieve the status of all mints for a given contract address
      operationId: ListMintRequests
      parameters:
        - name: contract_address
          in: path
          description: The address of contract
          required: true
          schema:
            type: string
          example: '0x8a90cab2b38dba80c64b7734e58ee1db38b8992e'
        - name: chain_name
          description: The name of chain
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ChainName'
        - name: page_cursor
          in: query
          description: >-
            Encoded page cursor to retrieve previous or next page. Use the value
            returned in the response.
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - name: page_size
          description: Maximum number of items to return
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - name: status
          description: The status of the mint request
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/MintRequestStatus'
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMintRequestsResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorisedRequest'
        '403':
          $ref: '#/components/responses/ForbiddenRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ImmutableApiKey:
            - write:mint-request
components:
  schemas:
    ChainName:
      type: string
      description: The name of chain
      example: imtbl-zkevm-testnet
    PageCursor:
      type: string
      description: >-
        Encoded page cursor to retrieve previous or next page. Use the value
        returned in the response.
      example: >-
        ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=
    PageSize:
      type: integer
      format: int32
      description: Maximum number of items to return
      minimum: 1
      default: 100
      maximum: 200
      example: 10
    MintRequestStatus:
      description: The status of the mint request
      example: pending
      type: string
      enum:
        - pending
        - succeeded
        - failed
    ListMintRequestsResult:
      type: object
      description: List mint requests
      properties:
        result:
          type: array
          description: List of mint requests
          items:
            $ref: '#/components/schemas/GetMintRequestResult'
        page:
          $ref: '#/components/schemas/Page'
      required:
        - result
        - page
    GetMintRequestResult:
      type: object
      properties:
        chain:
          $ref: '#/components/schemas/Chain'
        collection_address:
          type: string
          description: The address of the contract
          example: '0x8a90cab2b38dba80c64b7734e58ee1db38b8992e'
        reference_id:
          type: string
          description: The reference id of this mint request
        owner_address:
          type: string
          description: The address of the owner of the NFT
        token_id:
          type: string
          example: '1'
          nullable: true
          description: >-
            An `uint256` token id as string. Only available when the mint
            request succeeds
        amount:
          type: string
          example: '1'
          nullable: true
          description: >-
            An `uint256` amount as string. Only relevant for mint requests on
            ERC1155 contracts
        activity_id:
          type: string
          format: uuid
          example: 4e28df8d-f65c-4c11-ba04-6a9dd47b179b
          nullable: true
          description: The id of the mint activity associated with this mint request
        transaction_hash:
          type: string
          nullable: true
          description: The transaction hash of the activity
          example: '0x68d9eac5e3b3c3580404989a4030c948a78e1b07b2b5ea5688d8c38a6c61c93e'
        created_at:
          type: string
          format: date-time
          example: '2022-08-16T17:43:26.991388Z'
          description: When the mint request was created
        updated_at:
          type: string
          format: date-time
          description: When the mint request was last updated
          example: '2022-08-16T17:43:26.991388Z'
        error:
          $ref: '#/components/schemas/MintRequestErrorMessage'
        status:
          $ref: '#/components/schemas/MintRequestStatus'
      required:
        - chain
        - collection_address
        - reference_id
        - owner_address
        - status
        - token_id
        - transaction_hash
        - error
        - created_at
        - updated_at
    Page:
      type: object
      description: Pagination properties
      properties:
        previous_cursor:
          type: string
          nullable: true
          description: First item as an encoded string
          example: >-
            ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=
        next_cursor:
          type: string
          nullable: true
          description: Last item as an encoded string
          example: >-
            ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=
      required:
        - previous_cursor
        - next_cursor
    APIError400:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - VALIDATION_ERROR
              example: VALIDATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError401:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - UNAUTHORISED_REQUEST
              example: UNAUTHORISED_REQUEST
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError403:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - AUTHENTICATION_ERROR
              example: AUTHENTICATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError404:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - RESOURCE_NOT_FOUND
              example: RESOURCE_NOT_FOUND
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError500:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - INTERNAL_SERVER_ERROR
              example: INTERNAL_SERVER_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    Chain:
      type: object
      description: The chain details
      properties:
        id:
          type: string
          description: The id of chain
          example: eip155:13372
        name:
          type: string
          description: The name of chain
          example: imtbl-zkevm-testnet
      required:
        - id
        - name
    MintRequestErrorMessage:
      type: object
      description: The error details in case the mint request fails
      nullable: true
      properties:
        message:
          description: An error message in case the mint request fails
          type: string
    BasicAPIError:
      type: object
      properties:
        message:
          type: string
          description: Error Message
          example: all fields must be provided
        link:
          type: string
          description: Link to IMX documentation that can help resolve this error
          example: https://docs.x.immutable.com/reference/#/
        trace_id:
          type: string
          description: Trace ID of the initial request
          example: e47634b79a5cd6894ddc9639ec4aad26
      required:
        - message
        - link
        - trace_id
  responses:
    BadRequest:
      description: Bad Request (400)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError400'
    UnauthorisedRequest:
      description: Unauthorised Request (401)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError401'
    ForbiddenRequest:
      description: Forbidden Request (403)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError403'
    NotFound:
      description: The specified resource was not found (404)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError404'
    InternalServerError:
      description: Internal Server Error (500)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError500'
  securitySchemes:
    ImmutableApiKey:
      x-go-name: ImmutableApiKey
      type: apiKey
      in: header
      name: x-immutable-api-key

````